package com.ruoyi.zongzhi.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 通报对象 tc_tb
 *
 * @author ruoyi
 * @date 2023-08-16
 */
@Data
public class TcTb extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private String areaId;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    @ApiModelProperty(value = "部门名称")
    private String depName;


    /**
     * 目标ip
     */
    @Excel(name = "目标ip")
    @ApiModelProperty(value = "目标ip")
    private String  ip;


    /**
     * 处置状态 1:已处置 2:为处置
     */
    @Excel(name = "处置状态 1:已处置 2:为处置")
    @ApiModelProperty(value = "处置状态 1:已处置 2:为处置")
    private Integer  state;



    /**
     * 文件路径
     */
    @Excel(name = "文件路径")
    @ApiModelProperty(value = "文件路径")
    private String  fileUrl;


    /**
     * 文件名称
     */
    @Excel(name = "文件名称")
    @ApiModelProperty(value = "文件名称")
    private String  fileName;
    /**
     * 属地名称
     */
    @Excel(name = "属地名称")
    @ApiModelProperty(value = "属地名称")
    private String locationName;

    /**
     * 通报类型:1.属地通报 2.部门通报
     */
    @Excel(name = "通报类型:1.属地通报 2.部门通报")
    @ApiModelProperty(value = "通报类型:1.属地通报 2.部门通报")
    private Integer tbType;

    /**
     * 通报时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "通报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tbTime;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;




}
